package com.ruoyi.project.invoice.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 预约作业票台账详细
 *
 * @author jiang
 * @date 2022-09-16
 */
public class TInvoiceBookingworkticketVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private String workUnit;
    private String workArea;
    private String floorLocation;
    private String workStartTime;
    private String workEndTime;
    private String contact;
    private String phonenumber;
    private String workType;
    private String riskLevel;
    private String workDescription;
    private String workPeopleNumber;
    private String estimateWorktime;
    private Long bookingticketId;
    /** 危害工作许可证号 */
    private String whgzxkzh;

    /** 动火作业许可证号 */
    private String dhzyxkzh;

    /** 限制空间许可证号 */
    private String xzkjxkzh;

    /** 盲板作业许可证号 */
    private String mbzyxkzh;

    /** 高处作业许可证号 */
    private String gczyxkzh;

    /** 高处作业级别 */

    private String gczyjb;

    /** 新票/续票 */
    private String xpxp;

    /** 延期许可证号 */
    private String yqxkzh;
    private String status;

    public Long getBookingticketId() {
        return bookingticketId;
    }

    public void setBookingticketId(Long bookingticketId) {
        this.bookingticketId = bookingticketId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }



    public TInvoiceBookingworkticketVo(String workUnit, String workArea, String floorLocation, String workStartTime, String workEndTime, String contact, String phonenumber, String workType, String riskLevel, String workDescription, String workPeopleNumber, String estimateWorktime) {
        this.workUnit = workUnit;
        this.workArea = workArea;
        this.floorLocation = floorLocation;
        this.workStartTime = workStartTime;
        this.workEndTime = workEndTime;
        this.contact = contact;
        this.phonenumber = phonenumber;
        this.workType = workType;
        this.riskLevel = riskLevel;
        this.workDescription = workDescription;
        this.workPeopleNumber = workPeopleNumber;
        this.estimateWorktime = estimateWorktime;
    }

    public String getWhgzxkzh() {
        return whgzxkzh;
    }

    public void setWhgzxkzh(String whgzxkzh) {
        this.whgzxkzh = whgzxkzh;
    }

    public String getDhzyxkzh() {
        return dhzyxkzh;
    }

    public void setDhzyxkzh(String dhzyxkzh) {
        this.dhzyxkzh = dhzyxkzh;
    }

    public String getXzkjxkzh() {
        return xzkjxkzh;
    }

    public void setXzkjxkzh(String xzkjxkzh) {
        this.xzkjxkzh = xzkjxkzh;
    }

    public String getMbzyxkzh() {
        return mbzyxkzh;
    }

    public void setMbzyxkzh(String mbzyxkzh) {
        this.mbzyxkzh = mbzyxkzh;
    }

    public String getGczyxkzh() {
        return gczyxkzh;
    }

    public void setGczyxkzh(String gczyxkzh) {
        this.gczyxkzh = gczyxkzh;
    }

    public String getGczyjb() {
        return gczyjb;
    }

    public void setGczyjb(String gczyjb) {
        this.gczyjb = gczyjb;
    }

    public String getXpxp() {
        return xpxp;
    }

    public void setXpxp(String xpxp) {
        this.xpxp = xpxp;
    }

    public String getYqxkzh() {
        return yqxkzh;
    }

    public void setYqxkzh(String yqxkzh) {
        this.yqxkzh = yqxkzh;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getWorkArea() {
        return workArea;
    }

    public void setWorkArea(String workArea) {
        this.workArea = workArea;
    }

    public String getFloorLocation() {
        return floorLocation;
    }

    public void setFloorLocation(String floorLocation) {
        this.floorLocation = floorLocation;
    }

    public String getWorkStartTime() {
        return workStartTime;
    }

    public void setWorkStartTime(String workStartTime) {
        this.workStartTime = workStartTime;
    }

    public String getWorkEndTime() {
        return workEndTime;
    }

    public void setWorkEndTime(String workEndTime) {
        this.workEndTime = workEndTime;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getWorkType() {
        return workType;
    }

    public void setWorkType(String workType) {
        this.workType = workType;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getWorkDescription() {
        return workDescription;
    }

    public void setWorkDescription(String workDescription) {
        this.workDescription = workDescription;
    }

    public String getWorkPeopleNumber() {
        return workPeopleNumber;
    }

    public void setWorkPeopleNumber(String workPeopleNumber) {
        this.workPeopleNumber = workPeopleNumber;
    }

    public String getEstimateWorktime() {
        return estimateWorktime;
    }

    public void setEstimateWorktime(String estimateWorktime) {
        this.estimateWorktime = estimateWorktime;
    }
}
